Package org.apache.wiki.util.comparators

## Class JavaNaturalComparator

- java.lang.Object
- - org.apache.wiki.util.comparators.JavaNaturalComparator

All Implemented Interfaces:
  `java.util.Comparator<java.lang.String>`

    public class JavaNaturalComparator
    extends java.lang.Object
    implements java.util.Comparator<java.lang.String>

A comparator that sorts Strings using Java's "natural" order.

### Field Summary

Fields
`static java.util.Comparator<java.lang.String>` `DEFAULT_JAVA_COMPARATOR`

### Constructor Summary

Constructors
`JavaNaturalComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(java.lang.String str1, java.lang.String str2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### DEFAULT_JAVA_COMPARATOR

    public static final java.util.Comparator<java.lang.String> DEFAULT_JAVA_COMPARATOR

### Constructor Detail

#### JavaNaturalComparator

    public JavaNaturalComparator()

### Method Detail

#### compare

    public int compare​(java.lang.String str1,
                       java.lang.String str2)

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.String>`